module mod (clk, rst);
`include "global.vh"

input clk; input rst;
wire w$join2$0$f5$0$irdy;
wire w$join2$0$f5$0$trdy;
wire [`DATA_WIDTH-1:0] w$join2$0$f5$0$data;
wire w$join3$0$f4$0$irdy;
wire w$join3$0$f4$0$trdy;
wire [`DATA_WIDTH-1:0] w$join3$0$f4$0$data;
wire w$f4$0$m10$1$irdy;
wire w$f4$0$m10$1$trdy;
wire [`DATA_WIDTH-1:0] w$f4$0$m10$1$data;
wire w$f5$0$m10$0$irdy;
wire w$f5$0$m10$0$trdy;
wire [`DATA_WIDTH-1:0] w$f5$0$m10$0$data;
wire w$q6$0$join3$1$irdy;
wire w$q6$0$join3$1$trdy;
wire [`DATA_WIDTH-1:0] w$q6$0$join3$1$data;
wire w$q7$0$join2$0$irdy;
wire w$q7$0$join2$0$trdy;
wire [`DATA_WIDTH-1:0] w$q7$0$join2$0$data;
wire w$src1$0$join2$1$irdy;
wire w$src1$0$join2$1$trdy;
wire [`DATA_WIDTH-1:0] w$src1$0$join2$1$data;
wire w$src2$0$join3$0$irdy;
wire w$src2$0$join3$0$trdy;
wire [`DATA_WIDTH-1:0] w$src2$0$join3$0$data;
wire w$m10$0$ingresssw$0$irdy;
wire w$m10$0$ingresssw$0$trdy;
wire [`DATA_WIDTH-1:0] w$m10$0$ingresssw$0$data;
wire w$ingresssw$0$q13$0$irdy;
wire w$ingresssw$0$q13$0$trdy;
wire [`DATA_WIDTH-1:0] w$ingresssw$0$q13$0$data;
wire w$ingresssw$1$q12$0$irdy;
wire w$ingresssw$1$q12$0$trdy;
wire [`DATA_WIDTH-1:0] w$ingresssw$1$q12$0$data;
wire w$q12$0$fork14$0$irdy;
wire w$q12$0$fork14$0$trdy;
wire [`DATA_WIDTH-1:0] w$q12$0$fork14$0$data;
wire w$q13$0$fork15$0$irdy;
wire w$q13$0$fork15$0$trdy;
wire [`DATA_WIDTH-1:0] w$q13$0$fork15$0$data;
wire w$fork14$0$sink17$0$irdy;
wire w$fork14$0$sink17$0$trdy;
wire [`DATA_WIDTH-1:0] w$fork14$0$sink17$0$data;
wire w$fork14$1$inst1$join5$0$irdy;
wire w$fork14$1$inst1$join5$0$trdy;
wire [`DATA_WIDTH-1:0] w$fork14$1$inst1$join5$0$data;
wire w$fork15$0$inst0$join5$0$irdy;
wire w$fork15$0$inst0$join5$0$trdy;
wire [`DATA_WIDTH-1:0] w$fork15$0$inst0$join5$0$data;
wire w$fork15$1$sink16$0$irdy;
wire w$fork15$1$sink16$0$trdy;
wire [`DATA_WIDTH-1:0] w$fork15$1$sink16$0$data;
wire w$inst0$fork3$0$inst0$outstandin$0$irdy;
wire w$inst0$fork3$0$inst0$outstandin$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst0$fork3$0$inst0$outstandin$0$data;
wire w$inst0$fork3$1$q7$0$irdy;
wire w$inst0$fork3$1$q7$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst0$fork3$1$q7$0$data;
wire w$inst0$outstandin$0$inst0$join5$1$irdy;
wire w$inst0$outstandin$0$inst0$join5$1$trdy;
wire [`DATA_WIDTH-1:0] w$inst0$outstandin$0$inst0$join5$1$data;
wire w$inst0$join5$0$inst0$sink7$0$irdy;
wire w$inst0$join5$0$inst0$sink7$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst0$join5$0$inst0$sink7$0$data;
wire w$inst0$token$0$inst0$fork3$0$irdy;
wire w$inst0$token$0$inst0$fork3$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst0$token$0$inst0$fork3$0$data;
wire w$inst1$fork3$0$inst1$outstandin$0$irdy;
wire w$inst1$fork3$0$inst1$outstandin$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst1$fork3$0$inst1$outstandin$0$data;
wire w$inst1$fork3$1$q6$0$irdy;
wire w$inst1$fork3$1$q6$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst1$fork3$1$q6$0$data;
wire w$inst1$outstandin$0$inst1$join5$1$irdy;
wire w$inst1$outstandin$0$inst1$join5$1$trdy;
wire [`DATA_WIDTH-1:0] w$inst1$outstandin$0$inst1$join5$1$data;
wire w$inst1$join5$0$inst1$sink7$0$irdy;
wire w$inst1$join5$0$inst1$sink7$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst1$join5$0$inst1$sink7$0$data;
wire w$inst1$token$0$inst1$fork3$0$irdy;
wire w$inst1$token$0$inst1$fork3$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst1$token$0$inst1$fork3$0$data;
xmas_join join2 (clk, rst,
  // input 0 : w$q7$0$join2$0
  w$q7$0$join2$0$irdy,  w$q7$0$join2$0$trdy,  w$q7$0$join2$0$data,
  // input 1 : w$src1$0$join2$1
  w$src1$0$join2$1$irdy,  w$src1$0$join2$1$trdy,  w$src1$0$join2$1$data,
  // output 0 : w$join2$0$f5$0
  w$join2$0$f5$0$irdy,  w$join2$0$f5$0$trdy,  w$join2$0$f5$0$data);
xmas_function_D9AEB388 f5 (clk, rst,
  // input 0 : w$join2$0$f5$0
  w$join2$0$f5$0$irdy,  w$join2$0$f5$0$trdy,  w$join2$0$f5$0$data,
  // output 0 : w$f5$0$m10$0
  w$f5$0$m10$0$irdy,  w$f5$0$m10$0$trdy,  w$f5$0$m10$0$data);
xmas_join join3 (clk, rst,
  // input 0 : w$src2$0$join3$0
  w$src2$0$join3$0$irdy,  w$src2$0$join3$0$trdy,  w$src2$0$join3$0$data,
  // input 1 : w$q6$0$join3$1
  w$q6$0$join3$1$irdy,  w$q6$0$join3$1$trdy,  w$q6$0$join3$1$data,
  // output 0 : w$join3$0$f4$0
  w$join3$0$f4$0$irdy,  w$join3$0$f4$0$trdy,  w$join3$0$f4$0$data);
xmas_function_C745C677 f4 (clk, rst,
  // input 0 : w$join3$0$f4$0
  w$join3$0$f4$0$irdy,  w$join3$0$f4$0$trdy,  w$join3$0$f4$0$data,
  // output 0 : w$f4$0$m10$1
  w$f4$0$m10$1$irdy,  w$f4$0$m10$1$trdy,  w$f4$0$m10$1$data);
xmas_merge m10 (clk, rst,
  // input 0 : w$f5$0$m10$0
  w$f5$0$m10$0$irdy,  w$f5$0$m10$0$trdy,  w$f5$0$m10$0$data,
  // input 1 : w$f4$0$m10$1
  w$f4$0$m10$1$irdy,  w$f4$0$m10$1$trdy,  w$f4$0$m10$1$data,
  // output 0 : w$m10$0$ingresssw$0
  w$m10$0$ingresssw$0$irdy,  w$m10$0$ingresssw$0$trdy,  w$m10$0$ingresssw$0$data);
xmas_queue_3 q6 (clk, rst,
  // input 0 : w$inst1$fork3$1$q6$0
  w$inst1$fork3$1$q6$0$irdy,  w$inst1$fork3$1$q6$0$trdy,  w$inst1$fork3$1$q6$0$data,
  // output 0 : w$q6$0$join3$1
  w$q6$0$join3$1$irdy,  w$q6$0$join3$1$trdy,  w$q6$0$join3$1$data);
xmas_queue_3 q7 (clk, rst,
  // input 0 : w$inst0$fork3$1$q7$0
  w$inst0$fork3$1$q7$0$irdy,  w$inst0$fork3$1$q7$0$trdy,  w$inst0$fork3$1$q7$0$data,
  // output 0 : w$q7$0$join2$0
  w$q7$0$join2$0$irdy,  w$q7$0$join2$0$trdy,  w$q7$0$join2$0$data);
xmas_source src1 (clk, rst,
  // output 0 : w$src1$0$join2$1
  w$src1$0$join2$1$irdy,  w$src1$0$join2$1$trdy,  w$src1$0$join2$1$data);
xmas_source src2 (clk, rst,
  // output 0 : w$src2$0$join3$0
  w$src2$0$join3$0$irdy,  w$src2$0$join3$0$trdy,  w$src2$0$join3$0$data);
xmas_xswitch_27B845ED ingresssw (clk, rst,
  // input 0 : w$m10$0$ingresssw$0
  w$m10$0$ingresssw$0$irdy,  w$m10$0$ingresssw$0$trdy,  w$m10$0$ingresssw$0$data,
  // output 0 : w$ingresssw$0$q13$0
  w$ingresssw$0$q13$0$irdy,  w$ingresssw$0$q13$0$trdy,  w$ingresssw$0$q13$0$data,
  // output 1 : w$ingresssw$1$q12$0
  w$ingresssw$1$q12$0$irdy,  w$ingresssw$1$q12$0$trdy,  w$ingresssw$1$q12$0$data);
xmas_queue_2 q13 (clk, rst,
  // input 0 : w$ingresssw$0$q13$0
  w$ingresssw$0$q13$0$irdy,  w$ingresssw$0$q13$0$trdy,  w$ingresssw$0$q13$0$data,
  // output 0 : w$q13$0$fork15$0
  w$q13$0$fork15$0$irdy,  w$q13$0$fork15$0$trdy,  w$q13$0$fork15$0$data);
xmas_queue_2 q12 (clk, rst,
  // input 0 : w$ingresssw$1$q12$0
  w$ingresssw$1$q12$0$irdy,  w$ingresssw$1$q12$0$trdy,  w$ingresssw$1$q12$0$data,
  // output 0 : w$q12$0$fork14$0
  w$q12$0$fork14$0$irdy,  w$q12$0$fork14$0$trdy,  w$q12$0$fork14$0$data);
xmas_fork fork14 (clk, rst,
  // input 0 : w$q12$0$fork14$0
  w$q12$0$fork14$0$irdy,  w$q12$0$fork14$0$trdy,  w$q12$0$fork14$0$data,
  // output 0 : w$fork14$0$sink17$0
  w$fork14$0$sink17$0$irdy,  w$fork14$0$sink17$0$trdy,  w$fork14$0$sink17$0$data,
  // output 1 : w$fork14$1$inst1$join5$0
  w$fork14$1$inst1$join5$0$irdy,  w$fork14$1$inst1$join5$0$trdy,  w$fork14$1$inst1$join5$0$data);
xmas_fork fork15 (clk, rst,
  // input 0 : w$q13$0$fork15$0
  w$q13$0$fork15$0$irdy,  w$q13$0$fork15$0$trdy,  w$q13$0$fork15$0$data,
  // output 0 : w$fork15$0$inst0$join5$0
  w$fork15$0$inst0$join5$0$irdy,  w$fork15$0$inst0$join5$0$trdy,  w$fork15$0$inst0$join5$0$data,
  // output 1 : w$fork15$1$sink16$0
  w$fork15$1$sink16$0$irdy,  w$fork15$1$sink16$0$trdy,  w$fork15$1$sink16$0$data);
xmas_sink sink17 (clk, rst,
  // input 0 : w$fork14$0$sink17$0
  w$fork14$0$sink17$0$irdy,  w$fork14$0$sink17$0$trdy,  w$fork14$0$sink17$0$data);
xmas_join inst1$join5 (clk, rst,
  // input 0 : w$fork14$1$inst1$join5$0
  w$fork14$1$inst1$join5$0$irdy,  w$fork14$1$inst1$join5$0$trdy,  w$fork14$1$inst1$join5$0$data,
  // input 1 : w$inst1$outstandin$0$inst1$join5$1
  w$inst1$outstandin$0$inst1$join5$1$irdy,  w$inst1$outstandin$0$inst1$join5$1$trdy,  w$inst1$outstandin$0$inst1$join5$1$data,
  // output 0 : w$inst1$join5$0$inst1$sink7$0
  w$inst1$join5$0$inst1$sink7$0$irdy,  w$inst1$join5$0$inst1$sink7$0$trdy,  w$inst1$join5$0$inst1$sink7$0$data);
xmas_join inst0$join5 (clk, rst,
  // input 0 : w$fork15$0$inst0$join5$0
  w$fork15$0$inst0$join5$0$irdy,  w$fork15$0$inst0$join5$0$trdy,  w$fork15$0$inst0$join5$0$data,
  // input 1 : w$inst0$outstandin$0$inst0$join5$1
  w$inst0$outstandin$0$inst0$join5$1$irdy,  w$inst0$outstandin$0$inst0$join5$1$trdy,  w$inst0$outstandin$0$inst0$join5$1$data,
  // output 0 : w$inst0$join5$0$inst0$sink7$0
  w$inst0$join5$0$inst0$sink7$0$irdy,  w$inst0$join5$0$inst0$sink7$0$trdy,  w$inst0$join5$0$inst0$sink7$0$data);
xmas_sink sink16 (clk, rst,
  // input 0 : w$fork15$1$sink16$0
  w$fork15$1$sink16$0$irdy,  w$fork15$1$sink16$0$trdy,  w$fork15$1$sink16$0$data);
xmas_fork inst0$fork3 (clk, rst,
  // input 0 : w$inst0$token$0$inst0$fork3$0
  w$inst0$token$0$inst0$fork3$0$irdy,  w$inst0$token$0$inst0$fork3$0$trdy,  w$inst0$token$0$inst0$fork3$0$data,
  // output 0 : w$inst0$fork3$0$inst0$outstandin$0
  w$inst0$fork3$0$inst0$outstandin$0$irdy,  w$inst0$fork3$0$inst0$outstandin$0$trdy,  w$inst0$fork3$0$inst0$outstandin$0$data,
  // output 1 : w$inst0$fork3$1$q7$0
  w$inst0$fork3$1$q7$0$irdy,  w$inst0$fork3$1$q7$0$trdy,  w$inst0$fork3$1$q7$0$data);
xmas_queue_2 inst0$outstandin (clk, rst,
  // input 0 : w$inst0$fork3$0$inst0$outstandin$0
  w$inst0$fork3$0$inst0$outstandin$0$irdy,  w$inst0$fork3$0$inst0$outstandin$0$trdy,  w$inst0$fork3$0$inst0$outstandin$0$data,
  // output 0 : w$inst0$outstandin$0$inst0$join5$1
  w$inst0$outstandin$0$inst0$join5$1$irdy,  w$inst0$outstandin$0$inst0$join5$1$trdy,  w$inst0$outstandin$0$inst0$join5$1$data);
xmas_sink inst0$sink7 (clk, rst,
  // input 0 : w$inst0$join5$0$inst0$sink7$0
  w$inst0$join5$0$inst0$sink7$0$irdy,  w$inst0$join5$0$inst0$sink7$0$trdy,  w$inst0$join5$0$inst0$sink7$0$data);
xmas_source inst0$token (clk, rst,
  // output 0 : w$inst0$token$0$inst0$fork3$0
  w$inst0$token$0$inst0$fork3$0$irdy,  w$inst0$token$0$inst0$fork3$0$trdy,  w$inst0$token$0$inst0$fork3$0$data);
xmas_fork inst1$fork3 (clk, rst,
  // input 0 : w$inst1$token$0$inst1$fork3$0
  w$inst1$token$0$inst1$fork3$0$irdy,  w$inst1$token$0$inst1$fork3$0$trdy,  w$inst1$token$0$inst1$fork3$0$data,
  // output 0 : w$inst1$fork3$0$inst1$outstandin$0
  w$inst1$fork3$0$inst1$outstandin$0$irdy,  w$inst1$fork3$0$inst1$outstandin$0$trdy,  w$inst1$fork3$0$inst1$outstandin$0$data,
  // output 1 : w$inst1$fork3$1$q6$0
  w$inst1$fork3$1$q6$0$irdy,  w$inst1$fork3$1$q6$0$trdy,  w$inst1$fork3$1$q6$0$data);
xmas_queue_2 inst1$outstandin (clk, rst,
  // input 0 : w$inst1$fork3$0$inst1$outstandin$0
  w$inst1$fork3$0$inst1$outstandin$0$irdy,  w$inst1$fork3$0$inst1$outstandin$0$trdy,  w$inst1$fork3$0$inst1$outstandin$0$data,
  // output 0 : w$inst1$outstandin$0$inst1$join5$1
  w$inst1$outstandin$0$inst1$join5$1$irdy,  w$inst1$outstandin$0$inst1$join5$1$trdy,  w$inst1$outstandin$0$inst1$join5$1$data);
xmas_sink inst1$sink7 (clk, rst,
  // input 0 : w$inst1$join5$0$inst1$sink7$0
  w$inst1$join5$0$inst1$sink7$0$irdy,  w$inst1$join5$0$inst1$sink7$0$trdy,  w$inst1$join5$0$inst1$sink7$0$data);
xmas_source inst1$token (clk, rst,
  // output 0 : w$inst1$token$0$inst1$fork3$0
  w$inst1$token$0$inst1$fork3$0$irdy,  w$inst1$token$0$inst1$fork3$0$trdy,  w$inst1$token$0$inst1$fork3$0$data);
endmodule
