module mod (clk, rst
 , inIrdy, inTrdy, inData
 , ouIrdy, ouTrdy, ouData
 , inIrd2, inTrd2, inDat2
 , ouIrd2, ouTrd2, ouDat2);
`include "global.vh"

input clk; input rst;
input                    inIrdy;
output                   inTrdy;
input  [`DATA_WIDTH-1:0] inData;
output                   ouIrdy;
input                    ouTrdy;
output [`DATA_WIDTH-1:0] ouData;
input                    inIrd2;
output                   inTrd2;
input  [`DATA_WIDTH-1:0] inDat2;
output                   ouIrd2;
input                    ouTrd2;
output [`DATA_WIDTH-1:0] ouDat2;
                        
wire a00; wire b00; wire [`DATA_WIDTH-1:0] c00; wire d00; wire e00; wire [`DATA_WIDTH-1:0] f00;
wire a01; wire b01; wire [`DATA_WIDTH-1:0] c01; wire d01; wire e01; wire [`DATA_WIDTH-1:0] f01;
wire a02; wire b02; wire [`DATA_WIDTH-1:0] c02; wire d02; wire e02; wire [`DATA_WIDTH-1:0] f02;
wire a03; wire b03; wire [`DATA_WIDTH-1:0] c03; wire d03; wire e03; wire [`DATA_WIDTH-1:0] f03;
wire a04; wire b04; wire [`DATA_WIDTH-1:0] c04; wire d04; wire e04; wire [`DATA_WIDTH-1:0] f04;
wire a05; wire b05; wire [`DATA_WIDTH-1:0] c05; wire d05; wire e05; wire [`DATA_WIDTH-1:0] f05;
wire a06; wire b06; wire [`DATA_WIDTH-1:0] c06; wire d06; wire e06; wire [`DATA_WIDTH-1:0] f06;
wire a07; wire b07; wire [`DATA_WIDTH-1:0] c07; wire d07; wire e07; wire [`DATA_WIDTH-1:0] f07;
wire a08; wire b08; wire [`DATA_WIDTH-1:0] c08; wire d08; wire e08; wire [`DATA_WIDTH-1:0] f08;
wire a09; wire b09; wire [`DATA_WIDTH-1:0] c09; wire d09; wire e09; wire [`DATA_WIDTH-1:0] f09;
wire a10; wire b10; wire [`DATA_WIDTH-1:0] c10; wire d10; wire e10; wire [`DATA_WIDTH-1:0] f10;
wire a11; wire b11; wire [`DATA_WIDTH-1:0] c11; wire d11; wire e11; wire [`DATA_WIDTH-1:0] f11;
wire a12; wire b12; wire [`DATA_WIDTH-1:0] c12; wire d12; wire e12; wire [`DATA_WIDTH-1:0] f12;
wire a13; wire b13; wire [`DATA_WIDTH-1:0] c13; wire d13; wire e13; wire [`DATA_WIDTH-1:0] f13;
wire a14; wire b14; wire [`DATA_WIDTH-1:0] c14; wire d14; wire e14; wire [`DATA_WIDTH-1:0] f14;
wire a15; wire b15; wire [`DATA_WIDTH-1:0] c15; wire d15; wire e15; wire [`DATA_WIDTH-1:0] f15;
wire a16; wire b16; wire [`DATA_WIDTH-1:0] c16; wire d16; wire e16; wire [`DATA_WIDTH-1:0] f16;
wire a17; wire b17; wire [`DATA_WIDTH-1:0] c17; wire d17; wire e17; wire [`DATA_WIDTH-1:0] f17;
wire a18; wire b18; wire [`DATA_WIDTH-1:0] c18; wire d18; wire e18; wire [`DATA_WIDTH-1:0] f18;
wire a19; wire b19; wire [`DATA_WIDTH-1:0] c19; wire d19; wire e19; wire [`DATA_WIDTH-1:0] f19;

bufferedVCRepeatable bvr00 (clk,rst,inIrdy,inTrdy,inData,inIrd2,inTrd2,inDat2,a01   ,b01   ,c01   ,d01   ,e01   ,f01   );
bufferedVCRepeatable bvr01 (clk,rst,a01   ,b01   ,c01   ,d01   ,e01   ,f01   ,a02   ,b02   ,c02   ,d02   ,e02   ,f02   );
bufferedVCRepeatable bvr02 (clk,rst,a02   ,b02   ,c02   ,d02   ,e02   ,f02   ,a03   ,b03   ,c03   ,d03   ,e03   ,f03   );
bufferedVCRepeatable bvr03 (clk,rst,a03   ,b03   ,c03   ,d03   ,e03   ,f03   ,a04   ,b04   ,c04   ,d04   ,e04   ,f04   );
bufferedVCRepeatable bvr04 (clk,rst,a04   ,b04   ,c04   ,d04   ,e04   ,f04   ,a05   ,b05   ,c05   ,d05   ,e05   ,f05   );
bufferedVCRepeatable bvr05 (clk,rst,a05   ,b05   ,c05   ,d05   ,e05   ,f05   ,a06   ,b06   ,c06   ,d06   ,e06   ,f06   );
bufferedVCRepeatable bvr06 (clk,rst,a06   ,b06   ,c06   ,d06   ,e06   ,f06   ,a07   ,b07   ,c07   ,d07   ,e07   ,f07   );
bufferedVCRepeatable bvr07 (clk,rst,a07   ,b07   ,c07   ,d07   ,e07   ,f07   ,a08   ,b08   ,c08   ,d08   ,e08   ,f08   );
bufferedVCRepeatable bvr08 (clk,rst,a08   ,b08   ,c08   ,d08   ,e08   ,f08   ,a09   ,b09   ,c09   ,d09   ,e09   ,f09   );
bufferedVCRepeatable bvr09 (clk,rst,a09   ,b09   ,c09   ,d09   ,e09   ,f10   ,a10   ,b10   ,c10   ,d10   ,e10   ,f10   );
bufferedVCRepeatable bvr10 (clk,rst,a10   ,b10   ,c10   ,d10   ,e10   ,f19   ,a11   ,b11   ,c11   ,d11   ,e11   ,f11   );
bufferedVCRepeatable bvr11 (clk,rst,a11   ,b11   ,c11   ,d11   ,e11   ,f11   ,a12   ,b12   ,c12   ,d12   ,e12   ,f12   );
bufferedVCRepeatable bvr12 (clk,rst,a12   ,b12   ,c12   ,d12   ,e12   ,f12   ,a13   ,b13   ,c13   ,d13   ,e13   ,f13   );
bufferedVCRepeatable bvr13 (clk,rst,a13   ,b13   ,c13   ,d13   ,e13   ,f13   ,a14   ,b14   ,c14   ,d14   ,e14   ,f14   );
bufferedVCRepeatable bvr14 (clk,rst,a14   ,b14   ,c14   ,d14   ,e14   ,f14   ,a15   ,b15   ,c15   ,d15   ,e15   ,f15   );
bufferedVCRepeatable bvr15 (clk,rst,a15   ,b15   ,c15   ,d15   ,e15   ,f15   ,a16   ,b16   ,c16   ,d16   ,e16   ,f16   );
bufferedVCRepeatable bvr16 (clk,rst,a16   ,b16   ,c16   ,d16   ,e16   ,f16   ,a17   ,b17   ,c17   ,d17   ,e17   ,f17   );
bufferedVCRepeatable bvr17 (clk,rst,a17   ,b17   ,c17   ,d17   ,e17   ,f17   ,a18   ,b18   ,c18   ,d18   ,e18   ,f18   );
bufferedVCRepeatable bvr18 (clk,rst,a18   ,b18   ,c18   ,d18   ,e18   ,f18   ,a19   ,b19   ,c19   ,d19   ,e19   ,f19   );
bufferedVCRepeatable bvr19 (clk,rst,a19   ,b19   ,c19   ,d19   ,e19   ,f19   ,ouIrdy,ouTrdy,ouData,ouIrd2,ouTrd2,ouDat2);
endmodule

module bufferedVCRepeatable (clk, rst
 ,  w$src1$0$join2$1$irdy,  w$src1$0$join2$1$trdy,  w$src1$0$join2$1$data
 ,  w$src2$0$join3$0$irdy,  w$src2$0$join3$0$trdy,  w$src2$0$join3$0$data
 ,  w$fork14$0$sink17$0$irdy,  w$fork14$0$sink17$0$trdy,  w$fork14$0$sink17$0$data
 ,  w$fork15$1$sink16$0$irdy,  w$fork15$1$sink16$0$trdy,  w$fork15$1$sink16$0$data
 );
`include "global.vh"

input clk; input rst;
wire w$join2$0$f5$0$irdy;
wire w$join2$0$f5$0$trdy;
wire [`DATA_WIDTH-1:0] w$join2$0$f5$0$data;
wire w$join3$0$f4$0$irdy;
wire w$join3$0$f4$0$trdy;
wire [`DATA_WIDTH-1:0] w$join3$0$f4$0$data;
wire w$f4$0$m10$1$irdy;
wire w$f4$0$m10$1$trdy;
wire [`DATA_WIDTH-1:0] w$f4$0$m10$1$data;
wire w$f5$0$m10$0$irdy;
wire w$f5$0$m10$0$trdy;
wire [`DATA_WIDTH-1:0] w$f5$0$m10$0$data;
wire w$q6$0$join3$1$irdy;
wire w$q6$0$join3$1$trdy;
wire [`DATA_WIDTH-1:0] w$q6$0$join3$1$data;
wire w$q7$0$join2$0$irdy;
wire w$q7$0$join2$0$trdy;
wire [`DATA_WIDTH-1:0] w$q7$0$join2$0$data;
input  w$src1$0$join2$1$irdy;
output w$src1$0$join2$1$trdy;
input  [`DATA_WIDTH-1:0] w$src1$0$join2$1$data;
input  w$src2$0$join3$0$irdy;
output w$src2$0$join3$0$trdy;
input  [`DATA_WIDTH-1:0] w$src2$0$join3$0$data;
wire w$m10$0$buffer$0$irdy;
wire w$m10$0$buffer$0$trdy;
wire [`DATA_WIDTH-1:0] w$m10$0$buffer$0$data;
wire w$ingresssw$0$q13$0$irdy;
wire w$ingresssw$0$q13$0$trdy;
wire [`DATA_WIDTH-1:0] w$ingresssw$0$q13$0$data;
wire w$ingresssw$1$q12$0$irdy;
wire w$ingresssw$1$q12$0$trdy;
wire [`DATA_WIDTH-1:0] w$ingresssw$1$q12$0$data;
wire w$q12$0$fork14$0$irdy;
wire w$q12$0$fork14$0$trdy;
wire [`DATA_WIDTH-1:0] w$q12$0$fork14$0$data;
wire w$q13$0$fork15$0$irdy;
wire w$q13$0$fork15$0$trdy;
wire [`DATA_WIDTH-1:0] w$q13$0$fork15$0$data;
output w$fork14$0$sink17$0$irdy;
input  w$fork14$0$sink17$0$trdy;
output  [`DATA_WIDTH-1:0] w$fork14$0$sink17$0$data;
wire w$fork14$1$inst1$join5$0$irdy;
wire w$fork14$1$inst1$join5$0$trdy;
wire [`DATA_WIDTH-1:0] w$fork14$1$inst1$join5$0$data;
wire w$fork15$0$inst0$join5$0$irdy;
wire w$fork15$0$inst0$join5$0$trdy;
wire [`DATA_WIDTH-1:0] w$fork15$0$inst0$join5$0$data;
output w$fork15$1$sink16$0$irdy;
input  w$fork15$1$sink16$0$trdy;
output [`DATA_WIDTH-1:0] w$fork15$1$sink16$0$data;
wire w$buffer$0$ingresssw$0$irdy;
wire w$buffer$0$ingresssw$0$trdy;
wire [`DATA_WIDTH-1:0] w$buffer$0$ingresssw$0$data;
wire w$inst0$fork3$0$inst0$outstandin$0$irdy;
wire w$inst0$fork3$0$inst0$outstandin$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst0$fork3$0$inst0$outstandin$0$data;
wire w$inst0$fork3$1$q7$0$irdy;
wire w$inst0$fork3$1$q7$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst0$fork3$1$q7$0$data;
wire w$inst0$outstandin$0$inst0$join5$1$irdy;
wire w$inst0$outstandin$0$inst0$join5$1$trdy;
wire [`DATA_WIDTH-1:0] w$inst0$outstandin$0$inst0$join5$1$data;
wire w$inst0$join5$0$inst0$sink7$0$irdy;
wire w$inst0$join5$0$inst0$sink7$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst0$join5$0$inst0$sink7$0$data;
wire w$inst0$token$0$inst0$fork3$0$irdy;
wire w$inst0$token$0$inst0$fork3$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst0$token$0$inst0$fork3$0$data;
wire w$inst1$fork3$0$inst1$outstandin$0$irdy;
wire w$inst1$fork3$0$inst1$outstandin$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst1$fork3$0$inst1$outstandin$0$data;
wire w$inst1$fork3$1$q6$0$irdy;
wire w$inst1$fork3$1$q6$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst1$fork3$1$q6$0$data;
wire w$inst1$outstandin$0$inst1$join5$1$irdy;
wire w$inst1$outstandin$0$inst1$join5$1$trdy;
wire [`DATA_WIDTH-1:0] w$inst1$outstandin$0$inst1$join5$1$data;
wire w$inst1$join5$0$inst1$sink7$0$irdy;
wire w$inst1$join5$0$inst1$sink7$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst1$join5$0$inst1$sink7$0$data;
wire w$inst1$token$0$inst1$fork3$0$irdy;
wire w$inst1$token$0$inst1$fork3$0$trdy;
wire [`DATA_WIDTH-1:0] w$inst1$token$0$inst1$fork3$0$data;
xmas_join join2 (clk, rst,
  // input 0 : w$q7$0$join2$0
  w$q7$0$join2$0$irdy,  w$q7$0$join2$0$trdy,  w$q7$0$join2$0$data,
  // input 1 : w$src1$0$join2$1
  w$src1$0$join2$1$irdy,  w$src1$0$join2$1$trdy,  w$src1$0$join2$1$data,
  // output 0 : w$join2$0$f5$0
  w$join2$0$f5$0$irdy,  w$join2$0$f5$0$trdy,  w$join2$0$f5$0$data);
xmas_function_D9AEB388 f5 (clk, rst,
  // input 0 : w$join2$0$f5$0
  w$join2$0$f5$0$irdy,  w$join2$0$f5$0$trdy,  w$join2$0$f5$0$data,
  // output 0 : w$f5$0$m10$0
  w$f5$0$m10$0$irdy,  w$f5$0$m10$0$trdy,  w$f5$0$m10$0$data);
xmas_join join3 (clk, rst,
  // input 0 : w$src2$0$join3$0
  w$src2$0$join3$0$irdy,  w$src2$0$join3$0$trdy,  w$src2$0$join3$0$data,
  // input 1 : w$q6$0$join3$1
  w$q6$0$join3$1$irdy,  w$q6$0$join3$1$trdy,  w$q6$0$join3$1$data,
  // output 0 : w$join3$0$f4$0
  w$join3$0$f4$0$irdy,  w$join3$0$f4$0$trdy,  w$join3$0$f4$0$data);
xmas_function_C745C677 f4 (clk, rst,
  // input 0 : w$join3$0$f4$0
  w$join3$0$f4$0$irdy,  w$join3$0$f4$0$trdy,  w$join3$0$f4$0$data,
  // output 0 : w$f4$0$m10$1
  w$f4$0$m10$1$irdy,  w$f4$0$m10$1$trdy,  w$f4$0$m10$1$data);
xmas_merge m10 (clk, rst,
  // input 0 : w$f5$0$m10$0
  w$f5$0$m10$0$irdy,  w$f5$0$m10$0$trdy,  w$f5$0$m10$0$data,
  // input 1 : w$f4$0$m10$1
  w$f4$0$m10$1$irdy,  w$f4$0$m10$1$trdy,  w$f4$0$m10$1$data,
  // output 0 : w$m10$0$buffer$0
  w$m10$0$buffer$0$irdy,  w$m10$0$buffer$0$trdy,  w$m10$0$buffer$0$data);
xmas_queue_3 q6 (clk, rst,
  // input 0 : w$inst1$fork3$1$q6$0
  w$inst1$fork3$1$q6$0$irdy,  w$inst1$fork3$1$q6$0$trdy,  w$inst1$fork3$1$q6$0$data,
  // output 0 : w$q6$0$join3$1
  w$q6$0$join3$1$irdy,  w$q6$0$join3$1$trdy,  w$q6$0$join3$1$data);
xmas_queue_3 q7 (clk, rst,
  // input 0 : w$inst0$fork3$1$q7$0
  w$inst0$fork3$1$q7$0$irdy,  w$inst0$fork3$1$q7$0$trdy,  w$inst0$fork3$1$q7$0$data,
  // output 0 : w$q7$0$join2$0
  w$q7$0$join2$0$irdy,  w$q7$0$join2$0$trdy,  w$q7$0$join2$0$data);
xmas_queue_4 buffer (clk, rst,
  // input 0 : w$m10$0$buffer$0
  w$m10$0$buffer$0$irdy,  w$m10$0$buffer$0$trdy,  w$m10$0$buffer$0$data,
  // output 0 : w$buffer$0$ingresssw$0
  w$buffer$0$ingresssw$0$irdy,  w$buffer$0$ingresssw$0$trdy,  w$buffer$0$ingresssw$0$data);
xmas_xswitch_27B845ED ingresssw (clk, rst,
  // input 0 : w$buffer$0$ingresssw$0
  w$buffer$0$ingresssw$0$irdy,  w$buffer$0$ingresssw$0$trdy,  w$buffer$0$ingresssw$0$data,
  // output 0 : w$ingresssw$0$q13$0
  w$ingresssw$0$q13$0$irdy,  w$ingresssw$0$q13$0$trdy,  w$ingresssw$0$q13$0$data,
  // output 1 : w$ingresssw$1$q12$0
  w$ingresssw$1$q12$0$irdy,  w$ingresssw$1$q12$0$trdy,  w$ingresssw$1$q12$0$data);
xmas_queue_2 q13 (clk, rst,
  // input 0 : w$ingresssw$0$q13$0
  w$ingresssw$0$q13$0$irdy,  w$ingresssw$0$q13$0$trdy,  w$ingresssw$0$q13$0$data,
  // output 0 : w$q13$0$fork15$0
  w$q13$0$fork15$0$irdy,  w$q13$0$fork15$0$trdy,  w$q13$0$fork15$0$data);
xmas_queue_2 q12 (clk, rst,
  // input 0 : w$ingresssw$1$q12$0
  w$ingresssw$1$q12$0$irdy,  w$ingresssw$1$q12$0$trdy,  w$ingresssw$1$q12$0$data,
  // output 0 : w$q12$0$fork14$0
  w$q12$0$fork14$0$irdy,  w$q12$0$fork14$0$trdy,  w$q12$0$fork14$0$data);
xmas_fork fork14 (clk, rst,
  // input 0 : w$q12$0$fork14$0
  w$q12$0$fork14$0$irdy,  w$q12$0$fork14$0$trdy,  w$q12$0$fork14$0$data,
  // output 0 : w$fork14$0$sink17$0
  w$fork14$0$sink17$0$irdy,  w$fork14$0$sink17$0$trdy,  w$fork14$0$sink17$0$data,
  // output 1 : w$fork14$1$inst1$join5$0
  w$fork14$1$inst1$join5$0$irdy,  w$fork14$1$inst1$join5$0$trdy,  w$fork14$1$inst1$join5$0$data);
xmas_fork fork15 (clk, rst,
  // input 0 : w$q13$0$fork15$0
  w$q13$0$fork15$0$irdy,  w$q13$0$fork15$0$trdy,  w$q13$0$fork15$0$data,
  // output 0 : w$fork15$0$inst0$join5$0
  w$fork15$0$inst0$join5$0$irdy,  w$fork15$0$inst0$join5$0$trdy,  w$fork15$0$inst0$join5$0$data,
  // output 1 : w$fork15$1$sink16$0
  w$fork15$1$sink16$0$irdy,  w$fork15$1$sink16$0$trdy,  w$fork15$1$sink16$0$data);
xmas_join inst1$join5 (clk, rst,
  // input 0 : w$fork14$1$inst1$join5$0
  w$fork14$1$inst1$join5$0$irdy,  w$fork14$1$inst1$join5$0$trdy,  w$fork14$1$inst1$join5$0$data,
  // input 1 : w$inst1$outstandin$0$inst1$join5$1
  w$inst1$outstandin$0$inst1$join5$1$irdy,  w$inst1$outstandin$0$inst1$join5$1$trdy,  w$inst1$outstandin$0$inst1$join5$1$data,
  // output 0 : w$inst1$join5$0$inst1$sink7$0
  w$inst1$join5$0$inst1$sink7$0$irdy,  w$inst1$join5$0$inst1$sink7$0$trdy,  w$inst1$join5$0$inst1$sink7$0$data);
xmas_join inst0$join5 (clk, rst,
  // input 0 : w$fork15$0$inst0$join5$0
  w$fork15$0$inst0$join5$0$irdy,  w$fork15$0$inst0$join5$0$trdy,  w$fork15$0$inst0$join5$0$data,
  // input 1 : w$inst0$outstandin$0$inst0$join5$1
  w$inst0$outstandin$0$inst0$join5$1$irdy,  w$inst0$outstandin$0$inst0$join5$1$trdy,  w$inst0$outstandin$0$inst0$join5$1$data,
  // output 0 : w$inst0$join5$0$inst0$sink7$0
  w$inst0$join5$0$inst0$sink7$0$irdy,  w$inst0$join5$0$inst0$sink7$0$trdy,  w$inst0$join5$0$inst0$sink7$0$data);
xmas_fork inst0$fork3 (clk, rst,
  // input 0 : w$inst0$token$0$inst0$fork3$0
  w$inst0$token$0$inst0$fork3$0$irdy,  w$inst0$token$0$inst0$fork3$0$trdy,  w$inst0$token$0$inst0$fork3$0$data,
  // output 0 : w$inst0$fork3$0$inst0$outstandin$0
  w$inst0$fork3$0$inst0$outstandin$0$irdy,  w$inst0$fork3$0$inst0$outstandin$0$trdy,  w$inst0$fork3$0$inst0$outstandin$0$data,
  // output 1 : w$inst0$fork3$1$q7$0
  w$inst0$fork3$1$q7$0$irdy,  w$inst0$fork3$1$q7$0$trdy,  w$inst0$fork3$1$q7$0$data);
xmas_queue_2 inst0$outstandin (clk, rst,
  // input 0 : w$inst0$fork3$0$inst0$outstandin$0
  w$inst0$fork3$0$inst0$outstandin$0$irdy,  w$inst0$fork3$0$inst0$outstandin$0$trdy,  w$inst0$fork3$0$inst0$outstandin$0$data,
  // output 0 : w$inst0$outstandin$0$inst0$join5$1
  w$inst0$outstandin$0$inst0$join5$1$irdy,  w$inst0$outstandin$0$inst0$join5$1$trdy,  w$inst0$outstandin$0$inst0$join5$1$data);
xmas_sink inst0$sink7 (clk, rst,
  // input 0 : w$inst0$join5$0$inst0$sink7$0
  w$inst0$join5$0$inst0$sink7$0$irdy,  w$inst0$join5$0$inst0$sink7$0$trdy,  w$inst0$join5$0$inst0$sink7$0$data);
xmas_source inst0$token (clk, rst,
  // output 0 : w$inst0$token$0$inst0$fork3$0
  w$inst0$token$0$inst0$fork3$0$irdy,  w$inst0$token$0$inst0$fork3$0$trdy,  w$inst0$token$0$inst0$fork3$0$data);
xmas_fork inst1$fork3 (clk, rst,
  // input 0 : w$inst1$token$0$inst1$fork3$0
  w$inst1$token$0$inst1$fork3$0$irdy,  w$inst1$token$0$inst1$fork3$0$trdy,  w$inst1$token$0$inst1$fork3$0$data,
  // output 0 : w$inst1$fork3$0$inst1$outstandin$0
  w$inst1$fork3$0$inst1$outstandin$0$irdy,  w$inst1$fork3$0$inst1$outstandin$0$trdy,  w$inst1$fork3$0$inst1$outstandin$0$data,
  // output 1 : w$inst1$fork3$1$q6$0
  w$inst1$fork3$1$q6$0$irdy,  w$inst1$fork3$1$q6$0$trdy,  w$inst1$fork3$1$q6$0$data);
xmas_queue_2 inst1$outstandin (clk, rst,
  // input 0 : w$inst1$fork3$0$inst1$outstandin$0
  w$inst1$fork3$0$inst1$outstandin$0$irdy,  w$inst1$fork3$0$inst1$outstandin$0$trdy,  w$inst1$fork3$0$inst1$outstandin$0$data,
  // output 0 : w$inst1$outstandin$0$inst1$join5$1
  w$inst1$outstandin$0$inst1$join5$1$irdy,  w$inst1$outstandin$0$inst1$join5$1$trdy,  w$inst1$outstandin$0$inst1$join5$1$data);
xmas_sink inst1$sink7 (clk, rst,
  // input 0 : w$inst1$join5$0$inst1$sink7$0
  w$inst1$join5$0$inst1$sink7$0$irdy,  w$inst1$join5$0$inst1$sink7$0$trdy,  w$inst1$join5$0$inst1$sink7$0$data);
xmas_source inst1$token (clk, rst,
  // output 0 : w$inst1$token$0$inst1$fork3$0
  w$inst1$token$0$inst1$fork3$0$irdy,  w$inst1$token$0$inst1$fork3$0$trdy,  w$inst1$token$0$inst1$fork3$0$data);
endmodule
